Name:           SOLID
Version:        3.5.6
Release:        2%{?dist}
Summary:        Collision detection library

License:        GPLv2 or QPL
URL:            http://www.dtecta.com/
Source0:        http://www.dtecta.com/files/solid-%{version}.tgz

BuildRequires:  freeglut-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXi-devel

%description
SOLID is a software library for collision detection of geometric objects
in 3D space. Collision detection is the process of detecting pairs of
objects that are intersecting or are within a given proximity of each
other. SOLID contains operations for performing intersection tests and
proximity queries on a wide variety of shape types, including:
deformable triangle meshes, boxes, ellipsoids, and convex polyhedra.
Since it exploits temporal coherence in a number of ways, SOLID is
especially useful for detecting collisions between objects that move
smoothly over time. The motions of objects are controlled by the client
application, and are not determined or affected by SOLID. Although it
can be used for physics-based simulations, SOLID is not a physics engine
by itself. SOLID leaves it up to the application programmer how the laws
of physics are implemented.

%package        devel
Summary:        Collision detection library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n solid-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 LICENSE_GPL.txt > LICENSE_GPL.txt.new
mv LICENSE_GPL.txt.new LICENSE_GPL.txt


%build
export CFLAGS='-O2 -fno-gcse -fno-strict-aliasing -g'
export CXXFLAGS='-O2 -fno-gcse -fno-strict-aliasing -fpermissive -g'
%configure --disable-static
make -e


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# We don't care about the info file ...
rm -rf $RPM_BUILD_ROOT/%{_infodir}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc LICENSE_*.txt README.1st README.txt
%{_libdir}/*.so.*

%files devel
%doc LICENSE_*.txt
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Mon Jul  9 2012 Mary Ellen Foster <mefoster at gmail.com> 3.5.6-2
- Remove bogus dependency on info
- Convert encoding of license file

* Fri May 18 2012 Mary Ellen Foster <mefoster at gmail.com> 3.5.6-1
- Initial package
